RK-A2 - Task #3600

FE: support for askParameters="true
06/06/2024 04:11 AM - Ram Kordale

Status: Closed
Priority: High
Assignee: Ram Kordale
Category:

Target version:

Start date:

Due date:

% Done:
Estimated time:

Spent time:

06/06/2024

100%
0.75 hour
0.00 hour

Description

If the chat interface div has a parameter askParameters="true", show "Enter parameters <textbox>" at the bottom of the chat

interface.

We should be able to type the full list of parameters in the textbox. For example, if the following is given: curriculum="K-12"

testMode="true"

this should have the same behaviour as <div id="rapidken-chatgpt-interface" curriculum="K-12" testMode="true"></div>.

This way, we can create a page on the QA site with <div id="rapidken-chatgpt-interface" askParameters="true"></div> and folks can

easily test whatever they need.

History

#1 - 06/06/2024 04:40 AM - Dewakar Chaubey

- Status changed from New to In Progress

#2 - 06/06/2024 05:09 AM - Ayanava Karmakar
- Estimated time set to 0.75 h

#3 - 06/06/2024 06:50 AM - Dewakar Chaubey
- % Done changed from 0 to 40

#4 - 06/06/2024 07:58 AM - Dewakar Chaubey
- % Done changed from 40 to 70

#5 - 06/06/2024 10:03 AM - Dewakar Chaubey
- Status changed from In Progress to Resolved
- Assignee changed from Dewakar Chaubey to Ayanava Karmakar

- % Done changed from 70 to 100

#6 - 06/07/2024 05:32 AM - Ayanava Karmakar

- Status changed from Resolved to Review

#7 - 06/07/2024 11:29 AM - Ayanava Karmakar
- Status changed from Review to Feedback

- Assignee changed from Ayanava Karmakar to Dewakar Chaubey

#8 - 09/23/2024 07:42 AM - Dewakar Chaubey

- Assignee changed from Dewakar Chaubey to Ram Kordale

#9 - 09/25/2024 07:13 AM - Ram Kordale
- Status changed from Feedback to Closed
